#include <at91sam7x256.h>
#include <lib_at91sam7x256.h>
#include "usart.h"

#include "I2CSW.h"

#define BOAR_CLK	48000000

int main(void){
 char result;
 char data;
 char msg1[]="\n\rI2c EEprom Write Complite.\n\r Result is-->" ;
 char msg2[]="\n\rReading Data From EEpROM\n\r Result is-->" ;
 char msg3[]="\n\rRead Data is-->" ;

// Activ Power USART 0
AT91C_BASE_PMC->PMC_PCER = (1<<AT91C_ID_US0); // OR AT91C_ID_US1
USART_Configure_PIO(USART0_PORT,TXD0);// SET TXD0 TO USART
USART_Configure_PIO(USART0_PORT,RXD0);// SET RXD0 TO USART

USART_Configure(USART0,USART_MODE_ASYNCHRONOUS,38400, BOAR_CLK); // Config Usart0
USART_SetTransmitterEnabled(USART0, 1); // ENABLE Transmitter
USART_SetReceiverEnabled(USART0, 1); //  Enable Receiver

i2csw_init();
i2csw_start();
result=i2csw_write(0xA0); 	// SEND EEPROM ADR For Write
result+=i2csw_write(0x00);  // Send HI Byte Of ADR
result+=i2csw_write(0x00);	// Send LO Byte Of ADR
result+=i2csw_write('M');	// Send DATA TO Write
i2csw_stop();
USART_WriteBuffer(USART0,msg1,sizeof(msg1));
USART_Write(USART0,result+'0',0);


USART_WriteBuffer(USART0,msg2,sizeof(msg2));
//Read ADR 0 OF EEPROM
i2csw_start();
result=i2csw_write(0xA0);
result+=i2csw_write(0x00);
result+=i2csw_write(0x00);
i2csw_start();
result+=i2csw_write(0xA1);
data=i2csw_read(NACK);
i2csw_stop();
USART_Write(USART0,result+'0',0);
USART_WriteBuffer(USART0,msg3,sizeof(msg3));
USART_Write(USART0,data,0);

while(1){
}

}
